DBus delete_share doesn't work for shares made by the user to others

Bug #645519 reported by Natalia Bidart on 2010-09-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu One Client
Critical
Guillermo Gonzalez
Stable-1-4
Critical
Guillermo Gonzalez
ubuntuone-client (Ubuntu)
High
Unassigned
Nominated for Maverick by Guillermo Gonzalez

Bug Description

(04:25:19 PM) verterok: Chipaca, nessita: so we need to add support for this in AQ and change the call in DBus to call aq.delete_share
(04:25:46 PM) nessita: Chipaca, verterok: seems like it. Right now, dbus.delete_share calls vm.delete_volume that calls aq.delete_volume

For example, when nautilus plugin tries to delete a share made by the user to others, what happens is:

method call sender=:1.742 -> dest=com.ubuntuone.SyncDaemon serial=64 path=/shares; interface=com.ubuntuone.SyncDaemon.Shares; member=delete_share
   string "086867e4-7b5a-44c5-b11a-93cf596f4bb2"
signal sender=:1.650 -> dest=(null destination) serial=100 path=/shares; interface=com.ubuntuone.SyncDaemon.Shares; member=ShareDeleteError
   array [
      dict entry(
         string "volume_id"
         string "086867e4-7b5a-44c5-b11a-93cf596f4bb2"
      )
   ]
   string "DOES_NOT_EXIST"

Related branches

Natalia Bidart (nataliabidart) wrote :

(04:51:33 PM) verterok: nessita: we could add this without changing API
(04:51:41 PM) nessita: verterok: we could?
(04:52:05 PM) verterok: nessita: using the same signals, without changing anything dbus-wise
(04:52:14 PM) verterok: nessita: only, what's called in delete_share exposed method
(04:52:41 PM) verterok: nessita: but we need 2 new events, AQ_DELETE_SHARE_OK|ERROR, plus the new AQ command, and tests

Changed in ubuntuone-client:
importance: Undecided → Critical
status: New → Triaged
assignee: nobody → Ubuntu One Foundations+ team (ubuntuone-foundations+)
tags: added: foundations+ u1-maverick
Guillermo Gonzalez (verterok) wrote :

we also need 2 new events, AQ_DELETE_SHARE_OK|ERROR, plus the new AQ command, and tests

Changed in ubuntuone-client:
assignee: Ubuntu One Foundations+ team (ubuntuone-foundations+) → Guillermo Gonzalez (verterok)
status: Triaged → In Progress
Changed in ubuntuone-client (Ubuntu):
status: New → Confirmed
importance: Undecided → Critical
assignee: nobody → Ubuntu One Ops+ team (ubuntuone-ops+)
importance: Critical → High
dobey (dobey) on 2010-09-24
Changed in ubuntuone-client:
status: In Progress → Fix Committed
Changed in ubuntuone-client (Ubuntu):
status: Confirmed → Fix Committed
Changed in ubuntuone-client:
status: Fix Committed → Fix Released
dobey (dobey) on 2011-01-07
Changed in ubuntuone-client (Ubuntu):
status: Fix Committed → Fix Released
Curtis Hovey (sinzui) on 2014-01-21
Changed in ubuntuone-client (Ubuntu):
assignee: Registry Administrators (registry) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers